### Virtual Method

# Secret Service prompt_async

#### Declaration [src]

    void
    prompt_async (
      SecretService* self,
      SecretPrompt* prompt,
      const GVariantType* return_type,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`prompt`

  Type: `SecretPrompt`

  No description available.

  The data is owned by the caller of the function.

`return_type`

  Type: `GVariantType`

  No description available.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  No description available.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.